from zeep import Client

# Przykład wywołania metody getBalance, umożliwiającej sprawdzenie stanu konta

login = '' # Login konta w Postivo.pl
api_pass = '' # Hasło dostępu do konta przez API

try:
# Utworzenie klienta SOAP:
    client = Client("https://api.postivo.pl/webservices.php?wsdl")

# Wywołanie metody getBalance z przekazaniem wszystkich parametrów
    request_data={'login' : login,
                  'api_pass' : api_pass
                  }

    output=client.service.getBalance(**request_data)

# Przykład obsługi danych wyjściowych:
    print("Status żądania: "+output['result']+", kod statusu żądania: "+output['result_code']+", opis statusu żądania: "+output['result_description'])
    print("Aktualny stan konta: "+str(output['balance'])+" zł netto, Limit konta: "+str(output['limit'])+" zł netto, Typ konta: "+("POST-PAID" if output['postpaid']==1 else "PRE-PAID"))

except:
    print("Wystąpił błąd")
